FROM composer AS composer
FROM php:apache

COPY .. /var/www/html/
COPY --from=composer /usr/bin/composer /usr/bin/composer
COPY .docker/hosts/abiball.conf /etc/apache2/sites-enabled

RUN chown -R www-data:www-data /var/www/html
RUN rm /etc/apache2/sites-enabled/000-default.conf

RUN apt-get update
RUN apt-get install -qq -y --no-install-recommends libicu-dev libpng-dev libxml2-dev libzip-dev libonig-dev libxslt-dev libpq-dev

RUN docker-php-ext-configure pgsql -with-pgsql=/usr/local/pgsql
RUN docker-php-ext-install pdo pdo_pgsql pgsql gd opcache intl mbstring zip gd xsl
RUN a2enmod rewrite
RUN pecl install apcu && docker-php-ext-enable apcu

WORKDIR /var/www/html
RUN composer install --optimize-autoloader --no-suggest --no-progress
RUN php bin/console tailwind:build
RUN php bin/console asset-map:compile
RUN echo "APP_ENV=prod" > .env.local